Skip to main content
GET
List External Transfers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>[]

Type of transfer operation.

Available options:
APPLE_PAY_PULL,
APPLE_PAY_PULL_REVERSAL,
GOOGLE_PAY_PULL,
GOOGLE_PAY_PULL_REVERSAL,
PULL,
PULL_REVERSAL,
PUSH
amount
integer[]
three_ds_id
string<uuid>[]
originating_account_id
string<uuid>[]
account_id
string<uuid>[]
from_creation_time
string<date-time>
status
enum<string>[]

The status of the transfer

Available options:
CANCELED,
DECLINED,
PENDING,
SUCCEEDED,
UNKNOWN
originating_customer_id
string<uuid>[]
from_last_updated_time
string<date-time>
from_amount
integer
to_last_updated_time
string<date-time>
to_amount
integer
tenant
string[]

The id of the tenant containing the resource.

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

external_card_id
string<uuid>[]
transaction_id
string<uuid>[]
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

original_transfer_id
string<uuid>[]
to_creation_time
string<date-time>
payment_account_reference
string
customer_id
string<uuid>[]
id
string<uuid>[]

Response

External Card Transfer list

external_transfers
(Token Response · object | Pull Response · object | Push Response · object)[]
required

Array of External transfer

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"